From 0fc0a8f821afa07021a27042f2ebf4707d22c60b Mon Sep 17 00:00:00 2001
From: Erlend <me@erlend.io>
Date: Fri, 14 Aug 2020 21:49:32 +0200
Subject: [PATCH 3/3] adding nostrip

---
 GSettings/gsettings-qt.pro | 2 +-
 src/gsettings-qt.pro       | 2 +-
 tests/cpptest.pro          | 2 +-
 tests/tests.pro            | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/GSettings/gsettings-qt.pro b/GSettings/gsettings-qt.pro
index 2642981..eaadd5b 100644
--- a/GSettings/gsettings-qt.pro
+++ b/GSettings/gsettings-qt.pro
@@ -1,7 +1,7 @@
 TEMPLATE = lib
 QT += qml
 QT -= gui
-CONFIG += qt plugin no_keywords link_pkgconfig
+CONFIG += qt plugin no_keywords link_pkgconfig nostrip
 PKGCONFIG += gio-2.0
 INCLUDEPATH += ../src .
 LIBS += -L../src -lgsettings-qt
diff --git a/src/gsettings-qt.pro b/src/gsettings-qt.pro
index 4a9ba16..83c9097 100644
--- a/src/gsettings-qt.pro
+++ b/src/gsettings-qt.pro
@@ -1,7 +1,7 @@
 TEMPLATE = lib
 INCLUDEPATH += .
 QT -= gui
-CONFIG += qt no_keywords link_pkgconfig create_pc create_prl no_install_prl
+CONFIG += qt no_keywords link_pkgconfig create_pc create_prl no_install_prl nostrip
 PKGCONFIG += gio-2.0
 
 TARGET = gsettings-qt
diff --git a/tests/cpptest.pro b/tests/cpptest.pro
index 68b3b49..a255d1b 100644
--- a/tests/cpptest.pro
+++ b/tests/cpptest.pro
@@ -1,7 +1,7 @@
 TEMPLATE = app
 QT += testlib
 QT -= gui
-CONFIG += testcase link_pkgconfig
+CONFIG += testcase link_pkgconfig nostrip
 TARGET = cpptest
 IMPORTPATH = $$PWD/..
 SOURCES = cpptest.cpp
diff --git a/tests/tests.pro b/tests/tests.pro
index 6e3a388..df0c68b 100644
--- a/tests/tests.pro
+++ b/tests/tests.pro
@@ -1,7 +1,7 @@
 TEMPLATE = app
 QT += qml testlib
 QT -= gui
-CONFIG += qmltestcase
+CONFIG += qmltestcase nostrip
 TARGET = test
 IMPORTPATH = $$PWD/..
 SOURCES = test.cpp
-- 
2.26.2

